/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.kandidatenportal.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.kandidatenportal.entity.WvpWahlvorschlagDatenConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(WvpWahlvorschlagDatenMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class WvpWahlvorschlagDatenMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "wvpWahlvorschlagDatenMeta";

  @Inject
  private transient Messages messages;

  public WvpWahlvorschlagDatenMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return WvpWahlvorschlagDatenConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return WvpWahlvorschlagDatenConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getBerichtEinzahlMessageKey(){
    return WvpWahlvorschlagDatenConstants.MESSAGE_KEY_BERICHT_EINZAHL;
  }

  public String getBerichtMehrzahlMessageKey(){
    return WvpWahlvorschlagDatenConstants.MESSAGE_KEY_BERICHT_MEHRZAHL;
  }


  public String getBerichtEinzahlMessage(){
    return getMessage(getBerichtEinzahlMessageKey());
  }

  public String getBerichtMehrzahlMessage(){
    return getMessage(getBerichtMehrzahlMessageKey());
  }



  public boolean isBerichtRequired() {
    return !WvpWahlvorschlagDatenConstants.BERICHT_NULLABLE;
  }

  public java.lang.String getBerichtDefaultValue() {
    return WvpWahlvorschlagDatenConstants.BERICHT_DEFAULT_VALUE;
  }

  public int getBerichtMaxLength() {
    return WvpWahlvorschlagDatenConstants.BERICHT_MAX_LENGTH;
  }

  public String getDatenEinzahlMessageKey(){
    return WvpWahlvorschlagDatenConstants.MESSAGE_KEY_DATEN_EINZAHL;
  }

  public String getDatenMehrzahlMessageKey(){
    return WvpWahlvorschlagDatenConstants.MESSAGE_KEY_DATEN_MEHRZAHL;
  }


  public String getDatenEinzahlMessage(){
    return getMessage(getDatenEinzahlMessageKey());
  }

  public String getDatenMehrzahlMessage(){
    return getMessage(getDatenMehrzahlMessageKey());
  }



  public boolean isDatenRequired() {
    return !WvpWahlvorschlagDatenConstants.DATEN_NULLABLE;
  }

  public java.lang.String getDatenDefaultValue() {
    return WvpWahlvorschlagDatenConstants.DATEN_DEFAULT_VALUE;
  }

  public int getDatenMaxLength() {
    return WvpWahlvorschlagDatenConstants.DATEN_MAX_LENGTH;
  }

  public String getDatenuebernahmeVersionEinzahlMessageKey(){
    return WvpWahlvorschlagDatenConstants.MESSAGE_KEY_DATENUEBERNAHME_VERSTION_EINZAHL;
  }

  public String getDatenuebernahmeVersionMehrzahlMessageKey(){
    return WvpWahlvorschlagDatenConstants.MESSAGE_KEY_DATENUEBERNAHME_VERSTION_MEHRZAHL;
  }


  public String getDatenuebernahmeVersionEinzahlMessage(){
    return getMessage(getDatenuebernahmeVersionEinzahlMessageKey());
  }

  public String getDatenuebernahmeVersionMehrzahlMessage(){
    return getMessage(getDatenuebernahmeVersionMehrzahlMessageKey());
  }



  public boolean isDatenuebernahmeVersionRequired() {
    return !WvpWahlvorschlagDatenConstants.DATENUEBERNAHME_VERSTION_NULLABLE;
  }

  public java.lang.Long getDatenuebernahmeVersionDefaultValue() {
    return WvpWahlvorschlagDatenConstants.DATENUEBERNAHME_VERSTION_DEFAULT_VALUE;
  }

  public int getDatenuebernahmeVersionMaxLength() {
    return WvpWahlvorschlagDatenConstants.DATENUEBERNAHME_VERSTION_MAX_LENGTH;
  }

  public long getDatenuebernahmeVersionMinValue() {
    return WvpWahlvorschlagDatenConstants.DATENUEBERNAHME_VERSTION_MIN_VALUE;
  }

  public long getDatenuebernahmeVersionMaxValue() {
    return WvpWahlvorschlagDatenConstants.DATENUEBERNAHME_VERSTION_MAX_VALUE;
  }

  public String getDatenuebernahmeZeitpunktEinzahlMessageKey(){
    return WvpWahlvorschlagDatenConstants.MESSAGE_KEY_DATENUEBERNAHME_ZEITPUNKT_EINZAHL;
  }

  public String getDatenuebernahmeZeitpunktMehrzahlMessageKey(){
    return WvpWahlvorschlagDatenConstants.MESSAGE_KEY_DATENUEBERNAHME_ZEITPUNKT_MEHRZAHL;
  }


  public String getDatenuebernahmeZeitpunktEinzahlMessage(){
    return getMessage(getDatenuebernahmeZeitpunktEinzahlMessageKey());
  }

  public String getDatenuebernahmeZeitpunktMehrzahlMessage(){
    return getMessage(getDatenuebernahmeZeitpunktMehrzahlMessageKey());
  }



  public boolean isDatenuebernahmeZeitpunktRequired() {
    return !WvpWahlvorschlagDatenConstants.DATENUEBERNAHME_ZEITPUNKT_NULLABLE;
  }

  public java.util.Date getDatenuebernahmeZeitpunktDefaultValue() {
    return WvpWahlvorschlagDatenConstants.DATENUEBERNAHME_ZEITPUNKT_DEFAULT_VALUE;
  }



  public String getDateiImportEinzahlMessageKey(){
    return WvpWahlvorschlagDatenConstants.MESSAGE_KEY_DATEI_IMPORT_ID_EINZAHL;
  }

  public String getDateiImportEinzahlMessage(){
    return getMessage(getDateiImportEinzahlMessageKey());
  }

  public boolean isDateiImportRequired() {
    return !WvpWahlvorschlagDatenConstants.DATEI_IMPORT_ID_NULLABLE;
  }


  public String getWvpBenutzerEinzahlMessageKey(){
    return WvpWahlvorschlagDatenConstants.MESSAGE_KEY_WVP_BENUTZER_ID_EINZAHL;
  }

  public String getWvpBenutzerEinzahlMessage(){
    return getMessage(getWvpBenutzerEinzahlMessageKey());
  }

  public boolean isWvpBenutzerRequired() {
    return !WvpWahlvorschlagDatenConstants.WVP_BENUTZER_ID_NULLABLE;
  }

}